FAQ
Hi guys,

Currently the windows package provider does not support versions (like
ensure => 1.2.3).

Even though most packages set a DisplayVersion key in the registry - so the
version is often available.

Now I need to upgrade my puppet clients from v3.1.1 to v3.2.3-rc1 (to get
facts.d support on windows) - and I was wondering if any of you had a
suggestion as to how to handle it, until windows package provider supports
versions ?

I was thinking I'd have to create a fact "puppetclientversion" or something
(which I'd need to figure out how to get in ruby) - and then do an exec of
msiexec (I can't use package - since it can only ensure => installed - and
it's already installed).

What do you guys do?

--
You received this message because you are subscribed to the Google Groups "Puppet Users" group.
To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
To post to this group, send email to puppet-users@googlegroups.com.
Visit this group at http://groups.google.com/group/puppet-users.
For more options, visit https://groups.google.com/groups/opt_out.

Search Discussions

  • Rich Siegel at Jul 5, 2013 at 5:08 pm
    I use chocolatey provider, but that's because I wrote it :)
    Check out chocolatey on github, the provider is on the forge, and see if it meets your needs.

    Rismoney

    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Rob Reynolds at Jul 5, 2013 at 5:19 pm
    It isn't perfect, but the next version of chocolatey coming out soon will
    have more support for puppet built in it.

    --
    Rob Reynolds

    *Join us at PuppetConf 2013, August 22-23 in San Francisco - *
    http://bit.ly/pupconf13

    On Fri, Jul 5, 2013 at 12:08 PM, Rich Siegel wrote:

    I use chocolatey provider, but that's because I wrote it :)
    Check out chocolatey on github, the provider is on the forge, and see if
    it meets your needs.

    Rismoney

    --
    You received this message because you are subscribed to the Google Groups
    "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an
    email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users.
    For more options, visit https://groups.google.com/groups/opt_out.

    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users.
    For more options, visit https://groups.google.com/groups/opt_out.
  • David Schmitt at Jul 5, 2013 at 6:51 pm
    Oh, I'm sooo looking forward to that!


    Regards, David
    On 2013-07-05 19:19, Rob Reynolds wrote:
    It isn't perfect, but the next version of chocolatey coming out soon
    will have more support for puppet built in it.

    --
    Rob Reynolds

    *Join us at PuppetConf 2013, August 22-23 in San Francisco - *
    http://bit.ly/pupconf13


    On Fri, Jul 5, 2013 at 12:08 PM, Rich Siegel wrote:

    I use chocolatey provider, but that's because I wrote it :)
    Check out chocolatey on github, the provider is on the forge, and
    see if it meets your needs.

    Rismoney

    --
    You received this message because you are subscribed to the Google
    Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it,
    send an email to puppet-users+unsubscribe@googlegroups.com
    To post to this group, send email to puppet-users@googlegroups.com
    Visit this group at http://groups.google.com/group/puppet-users.
    For more options, visit https://groups.google.com/groups/opt_out.



    --
    You received this message because you are subscribed to the Google
    Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send
    an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users.
    For more options, visit https://groups.google.com/groups/opt_out.
    --
    You received this message because you are subscribed to the Google Groups "Puppet Users" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to puppet-users+unsubscribe@googlegroups.com.
    To post to this group, send email to puppet-users@googlegroups.com.
    Visit this group at http://groups.google.com/group/puppet-users.
    For more options, visit https://groups.google.com/groups/opt_out.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppuppet-users @
categoriespuppet
postedJul 4, '13 at 1:28p
activeJul 5, '13 at 6:51p
posts4
users4
websitepuppetlabs.com

People

Translate

site design / logo © 2021 Grokbase